Subject: GCC >= 6 '-isystem' and C_INCLUDE_PATH behavior changed, breaking #include_next

From: Carl Dong <[email-masked]>
Date: Tue, 22 Oct 2019 16:26:32 +0000

Hi all,

I ran into a similar problem in 37870, whereby the mingw-w64 search path was
placed at the top of the search paths, making include_next very grumpy.

Mark: I'm curious as to why -idirafter was not a viable solution to the problem,
as it seems like the perfect way to add a path to the bottom of the list of
search paths. Perhaps there's something more fundamental that I'm missing?

Cheers,
Carl Dong
[email-masked]
"I fight for the users"